This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 825127 - [eap6] platform-mbean resource for Managed server
[eap6] platform-mbean resource for Managed server
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-25 04:04 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-05-25 04:04:16 EDT
Description of problem: For a standalone server there is a resource called platform-mbean that provides information about underlying JVM. For a managed server there is same resource, but its name is called 'host=master,server=server-one,core-service=platform-mbean' which equals its path in connection settings.


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8

How reproducible:always

Expected results: JVM resource for managed server should be called 'platform-mbean' as well
Comment 1 Heiko W. Rupp 2012-05-25 11:51:22 EDT
[17:48:02] <pilhuhn> This is the display name that the user could change in the UI - so if we change that later, the resource would stay, but changes of the user would be overwritten
[17:48:39] <pilhuhn> Changing the discovery code for this one special case looks more dangerous to me
[17:49:12] <pilhuhn> We could subclass the normal discovery perhaps and change the name though  that would be a relatively safe change
[17:50:08] <ccrouch> we could fix the discovery code 
[17:50:18] <ccrouch> and that won't impact user changed values right
[17:50:25] <pilhuhn> Right

Note You need to log in before you can comment on or make changes to this bug.